import java.awt.*;
import java.applet.*;
import java.awt.event.*;

//--------------------Version Oktober 2002------------------------

public class HypMover extends PointMoverN     
{
  Applet app;
  
  HypMover(Applet a,Label t,Canvas c,int x,int y,String utxt,String dtxt)
  {
    super(t,c,x,y,utxt,dtxt);
    app=a;
  }
  
  public void mouseReleased(MouseEvent e)
  {
    int x=e.getX();
    int y=e.getY();
    if (moveable)
    {
      if (active==true)
      {
        if ((x<breit-delta)&&(x>delta)&&(y<hoch-delta)&&(y>delta))
        {
          movept.x=x; movept.y=y;          
        } 
        active=false;        
        //Zeichenmethode des Applets aufrufen
        if (app!=null){app.repaint();}
        tF.setText(uptext);     
      }
    }    
  }
    
}